#include <TinyWire.h>

#define led_pin 3

byte own_address = 50;
byte received;

void setup() {
  // config led_pin as Output for driving an LED
  pinMode(led_pin, OUTPUT);
  digitalWrite(led_pin, HIGH);
  TinyWire.begin( own_address ); // config TinyWire library for I2C slave functionality
  TinyWire.onReceive( onI2CReceive ); // sets callback for the event of a slave receive
}

void loop() {
  
}
/*
I2C Slave Receive Callback:
Note that this function is called from an interrupt routine and shouldn't take long to execute
*/
void onI2CReceive(int howMany){

  received = TinyWire.read();
  if(received==50){
  digitalWrite(led_pin, LOW);
  delay(500);
  digitalWrite(led_pin, HIGH);
  }else
  if(received==80){
  delay(2000);  
  digitalWrite(led_pin, HIGH);
  }
}
   
